Debian Bug report logs - #653919
transition: KDE SC 4.7

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Pino Toscano <pino@debian.org>

Date: Sun, 1 Jan 2012 14:15:01 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-kde-talk@lists.alioth.debian.org, debian-qt-kde@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 01 Jan 2012 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-kde-talk@lists.alioth.debian.org, debian-qt-kde@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 14:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: KDE SC 4.7
Date: Sun, 01 Jan 2012 15:10:44 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hello,

I would like to request a slot for the KDE SC 4.7 transition. We are
a bit late w.r.t. upstream releases, and we would like to get
KDE SC 4.7.4 in testing before proceeding with the upcoming KDE SC 4.8
(scheduled for the next month).
The transition involves the following sources:

* KDE SC dependencies:

    akonadi
    shared-desktop-ontologies
    soprano

* From 4.6.5 to 4.7.4, or new sources:

    meta-kde
    kde-l10n
    kde4libs
    blinken
    cantor
    gwenview
    kalgebra
    kalzium
    kamera
    kanagram
    kate
    kbruch
    kcolorchooser
    kdeaccessibility
    kdeadmin
    kdeartwork
    kde-baseapps
    kdegames
    kdegraphics-mobipocket
    kdegraphics-strigi-analyzer
    kdegraphics-thumbnailers
    kdemultimedia
    kdenetwork
    kdepimlibs
    kdeplasma-addons
    kde-runtime
    kdesdk
    kdetoys
    kdeutils
    kde-wallpapers
    kdewebdev
    kde-workspace
    kgamma
    kgeography
    khangman
    kig
    kiten
    klettres
    kmplot
    kolourpaint
    konsole
    kruler
    ksaneplugin
    ksnapshot
    kstars
    ktouch
    kturtle
    kwordquiz
    libkdcraw
    libkdeedu
    libkexiv2
    libkipi
    libksane
    marble
    okular
    oxygen-icons
    parley
    pykde4
    rocs
    step
    svgpart

All of the above are already available in experimental, and basically
(almost) everything has been compiled succesfully everywhere; so far
we had good feedback on them by users. Even if all KDE libraries have
symbol files, rebuilt external packages might still pick up new symbols
via modified inline functions in the headers. Though this technique
is mostly used by Qt rather than KDE so widespread "shlibs bump" effect
is unlikely.

There are various changes in the list of sources due to two reasons:
- upstream split in KDE SC 4.7 some of the modules (we already did this
  split job with kdebindings, #645074)
- we adapted the names of the kdebase* sources to the upstream ones
Following there is a list of the mappings between KDE SC 4.6 sources
and 4.7 ones:
    kdebase-runtime => kde-runtime
    kdebase-workspace => kde-workspace, kde-wallpapers
    kdebase => kde-baseapps, konsole
    kdeedu => blinken, cantor, kalgebra, kalzium, kanagram, kbruch,
              kgeography, khangman, kig, kiten, klettres, kmplot,
              kturtle, ktouch, kstars, kwordquiz, libkdeedu, marble,
              parley, rocs, step
    kdegraphics => gwenview, kamera, kcolorchooser,
                   kdegraphics-mobipocket, kdegraphics-strigi-analyzer,
                   kdegraphics-thumbnailers, kgamma, kolourpaint,
                   kruler, ksaneplugin, ksnapshot, libkdcraw, libkexiv2,
                   libkipi, libksane, okular, svgpart
    kdesdk => kdesdk, kate
Most probably we will need hints for the removal of the old sources from
testing (like it has been done for kdebindings). We will ask for their
removal from unstable once the transition is complete.

Some of the sources of KDE SC 4.7 have (few, actually) libraries with
SONAME bumped. This is a summary of the changes which affect only non-SC
packages (i.e. sources not listed in the long list above), grouped by
source and -dev package:

* kde-workspace-dev/kdebase-workspace-dev (src:kde-workspace):
    libkwineffects1abi1 -> libkwineffects1abi2
    libplasmaclock4abi1 -> libplasmaclock4abi2
    libsolidcontrol4abi1 -> libsolidcontrol4abi2
    libsolidcontrolifaces4abi1 -> libsolidcontrolifaces4abi2
    libtaskmanager4abi1 -> libtaskmanager4abi2

* okteta-dev (src:kdesdk):
    liboktetakastencontrollers4 -> liboktetakastencontrollers4abi1

* libkdcraw-dev (src:libkdcraw):
    libkdcraw9 -> libkdcraw20

* libkexiv2-dev (src:libkexiv2):
    libkexiv2-9 -> libkexiv2-10

* libmarble-dev (src:marble):
    libmarblewidget11 -> libmarblewidget12

The third party sources affected are the following:

    digikam (libkdcraw9, libkexiv2-9)
    kdevelop (liboktetakastencontrollers4)
    kipi-plugins (libkdcraw9, libkexiv2-9)
    koffice (libkdcraw9)
    kphotoalbum (libkdcraw9, libmarblewidget11)
    ktorrent (libtaskmanager4abi1)
    networkmanagement (libsolidcontrol4abi1)
    plasma-widget-adjustableclock (libplasmaclock4abi1)
    plasma-widget-daisy (libtaskmanager4abi1)
    plasma-widget-smooth-tasks (libtaskmanager4abi1)

All of them should be binNMUable, so we should not need any action on them.

Thanks,
-- 
Pino




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 01 Jan 2012 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "dE ." <de.techno@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 653919@bugs.debian.org (full text, mbox):

From: "dE ." <de.techno@gmail.com>
To: 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Sun, 01 Jan 2012 16:54:01 +0530
I'm using kde 4.7 on Gentoo and my migration had not been good because 
of upstream bugs, and I'm concerned about Debian for the same reason.

For e.g. there's a taskbar bug which I've not reported yet, and there's 
a infamous Akonadi resource migration bug penetrating kmail and contact.

All in all I suggest -- brace for impact or wait longer before pushing 
to testing.

These issues are mostly related to old kde configs in ~./kde4 (I had to 
clear a few), so fresh installs should not have issues, but upgrades may...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 01 Jan 2012 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 17:33:07 GMT) Full text and rfc822 format available.

Message #15 received at 653919@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: "dE ." <de.techno@gmail.com>, 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Sun, 1 Jan 2012 18:28:31 +0100
On Sun, Jan 01, 2012 at 04:54:01PM +0530, dE . wrote:
> I'm using kde 4.7 on Gentoo and my migration had not been good
> because of upstream bugs, and I'm concerned about Debian for the
> same reason.

Migration from which version to which version? Could you please
check this *in* Debian before just saying anything else?
The packages are in experimental, go, test and report back with
useful information.

> For e.g. there's a taskbar bug which I've not reported yet, and
> there's a infamous Akonadi resource migration bug penetrating kmail
> and contact.

If you read the previous email, it does not include kmail or kontact.
(if you check the packages in experimental you will see kdepim
is not updated there yet)

> All in all I suggest -- brace for impact or wait longer before
> pushing to testing.

We are talking here about pushing to unstable, not to testing.

> These issues are mostly related to old kde configs in ~./kde4 (I had
> to clear a few), so fresh installs should not have issues, but
> upgrades may...

Old configs from which version?

Please, use Debian, learn how Debian development works and test things 
in Debian before answering another bug.


Ana




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 01 Jan 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "dE ." <de.techno@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 653919@bugs.debian.org (full text, mbox):

From: "dE ." <de.techno@gmail.com>
To: 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Sun, 01 Jan 2012 17:40:14 +0530
I switched from 4.6.5, but in this system I've been using KDE since 4.4 
(so it has old configs). The xine deprecation gave issue.

I'll surely switch branches and see if these problems persist.




Added blocking bug(s) of 653919: 634797 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 09:18:17 GMT) Full text and rfc822 format available.

Added indication that bug 653919 blocks 656158 Request was from Mark Purcell <mark@purcell.id.au> to control@bugs.debian.org. (Sat, 04 Feb 2012 12:00:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653919: 653195 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Mon, 06 Feb 2012 21:25:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ariel Garcia (SCC)" <garcia@kit.edu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 21:25:55 GMT) Full text and rfc822 format available.

Message #31 received at 653919@bugs.debian.org (full text, mbox):

From: "Ariel Garcia (SCC)" <garcia@kit.edu>
To: 634797@bugs.debian.org
Cc: 653919@bugs.debian.org
Subject: Transition priorities?
Date: Mon, 6 Feb 2012 22:00:23 +0100
Hi all,

i was amazed to discover that the whole KDE SC 4.7 transition into unstable 
requested the 1st of Jan 2012 is blocked by (the opencv transition which 
was itself requested/started on July 2011, itself blocked by) a few 
completely "minor" packages like
   mrpt-libs scilab-sivp freej gmic frei0r-plugins

which FTBFS with the latest opencv.

I know i could/should contribute to speed things up ;-)  but anyways
please let me make my point as a long term Debian user/fan :-)

IMHO it seems an unreasonable situation, which doesn't do a favor to 
Debian, its users, nor to the Debian-KDE maintainers which worked hard 
on the transition. It is obvious that thousands of people are eagerly 
waiting for KDE SC 4.7 and 4.8 now also in Debian, and holding that 
just due to some "almost irrelevant" packages that most of the users don't 
even heard of looks silly.
Why not move those packages out of unstable into experimental if they don't 
get fixed, and let the KDE transition continue? most of these packages are 
not even in testing... 

My 2.5cts :-)

Ariel




Added blocking bug(s) of 653919: 654417 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Fri, 10 Feb 2012 09:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 04 Mar 2012 21:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Mar 2012 21:30:11 GMT) Full text and rfc822 format available.

Message #38 received at 653919@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: debian-qt-kde@lists.debian.org, 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Sun, 4 Mar 2012 22:27:02 +0100
[Message part 1 (text/plain, inline)]
tag 653919 + pending
thanks

Hi,

Alle domenica 1 gennaio 2012, Pino Toscano ha scritto:
> I would like to request a slot for the KDE SC 4.7 transition.

As we were told earlier on #-release (thanks!), we can proceed with the 
transition.

We will start with the uploads really soon.

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:30:15 GMT) Full text and rfc822 format available.

Added indication that bug 653919 blocks 656829 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 22:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Mon, 12 Mar 2012 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Mar 2012 16:27:04 GMT) Full text and rfc822 format available.

Message #47 received at 653919@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: debian-qt-kde@lists.debian.org, 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Mon, 12 Mar 2012 17:22:12 +0100
[Message part 1 (text/plain, inline)]
Alle domenica 4 marzo 2012, Pino Toscano ha scritto:
> We will start with the uploads really soon.

(one week later...)
We completed the uploads of all the sources, which have built basically 
almost everywhere.
A new kde4libs upload is needed (will be done soon), but since it fixes 
a bad crasher it will have urgency=medium.

Can you please schedule the binNMUs for this transition?

> The third party sources affected are the following:
> 
>     digikam (libkdcraw9, libkexiv2-9)
>     kdevelop (liboktetakastencontrollers4)
>     kipi-plugins (libkdcraw9, libkexiv2-9)
>     koffice (libkdcraw9)
>     kphotoalbum (libkdcraw9, libmarblewidget11)

these seems to not need a dep-wait (libkdcraw, libkexiv2, kdesdk and 
marble built everywhere)

>     networkmanagement (libsolidcontrol4abi1)
>     plasma-widget-adjustableclock (libplasmaclock4abi1)
>     plasma-widget-daisy (libtaskmanager4abi1)
>     plasma-widget-smooth-tasks (libtaskmanager4abi1)

these could need a dep-wait on kde-workspace-dev >= 4.7 (armhf is still 
building kde-workspace)

>     ktorrent (libtaskmanager4abi1)

this had a sourceful upload (see [1]) and the new version does not 
depend on libtaskmanager4abi1 anymore.

[1] <201203111736.32784.modax@debian.org>

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Wed, 14 Mar 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 14 Mar 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #52 received at 653919@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Pino Toscano <pino@debian.org>, 653919@bugs.debian.org
Cc: debian-qt-kde@lists.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Wed, 14 Mar 2012 19:02:16 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 12, 2012 at 17:22:12 +0100, Pino Toscano wrote:

> Can you please schedule the binNMUs for this transition?
> 
> > The third party sources affected are the following:
> > 
> >     digikam (libkdcraw9, libkexiv2-9)
> >     kdevelop (liboktetakastencontrollers4)
> >     kipi-plugins (libkdcraw9, libkexiv2-9)
> >     koffice (libkdcraw9)
> >     kphotoalbum (libkdcraw9, libmarblewidget11)
> 
> these seems to not need a dep-wait (libkdcraw, libkexiv2, kdesdk and 
> marble built everywhere)
> 
> >     networkmanagement (libsolidcontrol4abi1)
> >     plasma-widget-adjustableclock (libplasmaclock4abi1)
> >     plasma-widget-daisy (libtaskmanager4abi1)
> >     plasma-widget-smooth-tasks (libtaskmanager4abi1)
> 
> these could need a dep-wait on kde-workspace-dev >= 4.7 (armhf is still 
> building kde-workspace)
> 
All scheduled now.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Wed, 14 Mar 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 14 Mar 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #57 received at 653919@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 653919@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Wed, 14 Mar 2012 19:19:41 +0100
[Message part 1 (text/plain, inline)]
Hi,

Alle lunedì 12 marzo 2012, Pino Toscano ha scritto:
> A new kde4libs upload is needed (will be done soon), but since it
> fixes a bad crasher it will have urgency=medium.

D'uh, I accidentally made it urgency=low, could it be possible to age it 
to 5 days?

Alle mercoledì 14 marzo 2012, Julien Cristau ha scritto:
> On Mon, Mar 12, 2012 at 17:22:12 +0100, Pino Toscano wrote:
> > Can you please schedule the binNMUs for this transition?
> > 
> > [...]
> 
> All scheduled now.

Thanks.

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Thu, 15 Mar 2012 02:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 15 Mar 2012 02:30:02 GMT) Full text and rfc822 format available.

Message #62 received at 653919@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>, 653919@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Thu, 15 Mar 2012 03:26:16 +0100
[Message part 1 (text/plain, inline)]
Pino Toscano <pino@debian.org> (14/03/2012):
> Alle lunedì 12 marzo 2012, Pino Toscano ha scritto:
> > A new kde4libs upload is needed (will be done soon), but since it
> > fixes a bad crasher it will have urgency=medium.
> 
> D'uh, I accidentally made it urgency=low, could it be possible to age it 
> to 5 days?

# 20120315
# per maintainer request, urgency=medium was intended:
age-days 5 kde4libs/4:4.7.4-4

Prego!

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 18 Mar 2012 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Mar 2012 10:24:06 GMT) Full text and rfc822 format available.

Message #67 received at 653919@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Pino Toscano <pino@debian.org>, 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Sun, 18 Mar 2012 10:20:23 +0000
On Sun, 2012-01-01 at 15:10 +0100, Pino Toscano wrote:
> I would like to request a slot for the KDE SC 4.7 transition. We are
> a bit late w.r.t. upstream releases, and we would like to get
> KDE SC 4.7.4 in testing before proceeding with the upcoming KDE SC 4.8
> (scheduled for the next month).

So, I think this is basically done.  As of this morning's britney run,
the kdebase-runtime, kdebase-workspace, kdebase, kdegraphics and kdeedu
source packages are no longer in testing.

As agreed on IRC, I removed koffice (as it was still waiting for builds
on some architectures) and ktorrent (to allow us to keep libktorrent3
around in testing and while we wait for the kdenetwork binNMUs to be
available on all architectures); they'll both be free to re-enter
testing once they're ready.

Please let us know if there's anything that still needs doing /
migrating in order for this to be considered "done".

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Sun, 18 Mar 2012 23:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Mar 2012 23:48:06 GMT) Full text and rfc822 format available.

Message #72 received at 653919@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Mon, 19 Mar 2012 00:45:41 +0100
[Message part 1 (text/plain, inline)]
Alle domenica 18 marzo 2012, Adam D. Barratt ha scritto:
> On Sun, 2012-01-01 at 15:10 +0100, Pino Toscano wrote:
> > I would like to request a slot for the KDE SC 4.7 transition. We
> > are a bit late w.r.t. upstream releases, and we would like to get
> > KDE SC 4.7.4 in testing before proceeding with the upcoming KDE SC
> > 4.8 (scheduled for the next month).
> 
> So, I think this is basically done.  As of this morning's britney
> run, the kdebase-runtime, kdebase-workspace, kdebase, kdegraphics
> and kdeedu source packages are no longer in testing.

Thanks!
I've verified all the involved packages migrated to testing, which now 
fully covers KDE 4.7.4. I also just filed the RM for the 5 above 
sources.

> As agreed on IRC, I removed koffice (as it was still waiting for
> builds on some architectures) and ktorrent (to allow us to keep
> libktorrent3 around in testing and while we wait for the kdenetwork
> binNMUs to be available on all architectures); they'll both be free
> to re-enter testing once they're ready.

It seems koffice built and has been uploaded everywhere in the 
meanwhile, so I guess it should re-enter tomorrow.
Regarding libktorrent & ktorrent, it is just matter of waiting for 
armel/kfreebsd-amd64/kfreebsd-i386 to rebuild kdenetwork and wait the 
remaining 4 days of ktorrent?

> Please let us know if there's anything that still needs doing /
> migrating in order for this to be considered "done".

Except the two cases above (koffice and libktorrent/ktorrent), it seems 
everything else is done (thanks again for the patience!).

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Mon, 19 Mar 2012 19:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 19 Mar 2012 19:54:07 GMT) Full text and rfc822 format available.

Message #77 received at 653919@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Pino Toscano <pino@debian.org>, 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Mon, 19 Mar 2012 19:35:39 +0000
On Mon, 2012-03-19 at 00:45 +0100, Pino Toscano wrote:
> Alle domenica 18 marzo 2012, Adam D. Barratt ha scritto:
> > So, I think this is basically done.  As of this morning's britney
> > run, the kdebase-runtime, kdebase-workspace, kdebase, kdegraphics
> > and kdeedu source packages are no longer in testing.
> 
> Thanks!
> I've verified all the involved packages migrated to testing, which now 
> fully covers KDE 4.7.4. I also just filed the RM for the 5 above 
> sources.

Yay. :-)

> > As agreed on IRC, I removed koffice (as it was still waiting for
> > builds on some architectures) and ktorrent (to allow us to keep
> > libktorrent3 around in testing and while we wait for the kdenetwork
> > binNMUs to be available on all architectures); they'll both be free
> > to re-enter testing once they're ready.
> 
> It seems koffice built and has been uploaded everywhere in the 
> meanwhile, so I guess it should re-enter tomorrow.

Indeed, koffice is now back in testing.

> Regarding libktorrent & ktorrent, it is just matter of waiting for 
> armel/kfreebsd-amd64/kfreebsd-i386 to rebuild kdenetwork and wait the 
> remaining 4 days of ktorrent?

All of the kdenetwork binNMUs are now available and ktorrent is 7/10
days.  So it either waits another three days or we can push it in early
- either's okay with me; let me know.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Tue, 20 Mar 2012 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Mar 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #82 received at 653919@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Tue, 20 Mar 2012 22:01:31 +0100
[Message part 1 (text/plain, inline)]
Alle lunedì 19 marzo 2012, Adam D. Barratt ha scritto:
> On Mon, 2012-03-19 at 00:45 +0100, Pino Toscano wrote:
> > Alle domenica 18 marzo 2012, Adam D. Barratt ha scritto:
> > > So, I think this is basically done.  As of this morning's britney
> > > run, the kdebase-runtime, kdebase-workspace, kdebase, kdegraphics
> > > and kdeedu source packages are no longer in testing.
> > 
> > Thanks!
> > I've verified all the involved packages migrated to testing, which
> > now fully covers KDE 4.7.4. I also just filed the RM for the 5
> > above sources.
> 
> Yay. :-)

... and they have been processed earlier today, so those sources are 
gone for good now.

> > Regarding libktorrent & ktorrent, it is just matter of waiting for
> > armel/kfreebsd-amd64/kfreebsd-i386 to rebuild kdenetwork and wait
> > the remaining 4 days of ktorrent?
> 
> All of the kdenetwork binNMUs are now available and ktorrent is 7/10
> days.  So it either waits another three days or we can push it in
> early - either's okay with me; let me know.

I think the new ktorrent should generally safe, so if you could please 
push it we can finally declare this transition done.

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653919; Package release.debian.org. (Tue, 20 Mar 2012 21:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Mar 2012 21:06:17 GMT) Full text and rfc822 format available.

Message #87 received at 653919@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Pino Toscano <pino@debian.org>
Cc: 653919@bugs.debian.org
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Tue, 20 Mar 2012 21:03:43 +0000
On Tue, 2012-03-20 at 22:01 +0100, Pino Toscano wrote:
> Alle lunedì 19 marzo 2012, Adam D. Barratt ha scritto:
> > On Mon, 2012-03-19 at 00:45 +0100, Pino Toscano wrote:
> > > Alle domenica 18 marzo 2012, Adam D. Barratt ha scritto:
> > > Regarding libktorrent & ktorrent, it is just matter of waiting for
> > > armel/kfreebsd-amd64/kfreebsd-i386 to rebuild kdenetwork and wait
> > > the remaining 4 days of ktorrent?
> > 
> > All of the kdenetwork binNMUs are now available and ktorrent is 7/10
> > days.  So it either waits another three days or we can push it in
> > early - either's okay with me; let me know.
> 
> I think the new ktorrent should generally safe, so if you could please 
> push it we can finally declare this transition done.

I've aged ktorrent, so it should migrate during tonight's britney run.

Regards,

Adam





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Tue, 20 Mar 2012 22:39:11 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 22:39:11 GMT) Full text and rfc822 format available.

Message #92 received at 653919-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 653919-done@bugs.debian.org
Cc: Pino Toscano <pino@debian.org>
Subject: Re: Bug#653919: transition: KDE SC 4.7
Date: Tue, 20 Mar 2012 22:37:06 +0000
On Tue, 2012-03-20 at 21:03 +0000, Adam D. Barratt wrote:
> On Tue, 2012-03-20 at 22:01 +0100, Pino Toscano wrote:
> > I think the new ktorrent should generally safe, so if you could please 
> > push it we can finally declare this transition done.
> 
> I've aged ktorrent, so it should migrate during tonight's britney run.

ktorrent is back in testing, so let's call this done.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Apr 2012 07:37:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:58:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.